Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch.decider.forager
Class LocalSearchForagerConfig

    java.lang.Object
      org.optaplanner.core.config.localsearch.decider.forager.LocalSearchForagerConfig

    public class LocalSearchForagerConfig

extends Object

Field Summary
`protected Integer` | `acceptedCountLimit`
`protected LocalSearchPickEarlyType` | `pickEarlyType`

Constructor Summary
`LocalSearchForagerConfig()`

Method Summary
`Forager` | `buildForager(HeuristicConfigPolicy configPolicy)`
`Integer` | `getAcceptedCountLimit()`
`DeciderScoreComparatorFactoryConfig` | `getDeciderScoreComparatorFactoryConfig()` Deprecated.
`Class<? extends Forager>` | `getForagerClass()`
`LocalSearchPickEarlyType` | `getPickEarlyType()`
`void` | `inherit(LocalSearchForagerConfig inheritedConfig)`
`void` | `setAcceptedCountLimit(Integer acceptedCountLimit)`
`void` | `setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)` Deprecated.
`void` | `setForagerClass(Class<? extends Forager> foragerClass)`
`void` | `setPickEarlyType(LocalSearchPickEarlyType pickEarlyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pickEarlyType

    protected LocalSearchPickEarlyType pickEarlyType

### acceptedCountLimit

    protected Integer acceptedCountLimit

Constructor Detail

### LocalSearchForagerConfig

    public LocalSearchForagerConfig()

Method Detail

### getForagerClass

    public Class<? extends Forager> getForagerClass()

### setForagerClass

    public void setForagerClass(Class<? extends Forager> foragerClass)

### getDeciderScoreComparatorFactoryConfig

    @Deprecated
    public DeciderScoreComparatorFactoryConfig getDeciderScoreComparatorFactoryConfig()

  Deprecated.

### setDeciderScoreComparatorFactoryConfig

    @Deprecated
    public void setDeciderScoreComparatorFactoryConfig(DeciderScoreComparatorFactoryConfig deciderScoreComparatorFactoryConfig)

  Deprecated.

### getPickEarlyType

    public LocalSearchPickEarlyType getPickEarlyType()

### setPickEarlyType

    public void setPickEarlyType(LocalSearchPickEarlyType pickEarlyType)

### getAcceptedCountLimit

    public Integer getAcceptedCountLimit()

### setAcceptedCountLimit

    public void setAcceptedCountLimit(Integer acceptedCountLimit)

### buildForager

    public Forager buildForager(HeuristicConfigPolicy configPolicy)

### inherit

    public void inherit(LocalSearchForagerConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.